Gecode::Set::SetDelta Class Reference

Finite set delta information for advisors. More...

`#include <var-imp.hpp>`

## Public Member Functions

| SetDelta (void)
| Create set delta as providing no information (if any is true).
| SetDelta (int glbMin, int glbMax, int lubMin, int lubMax)
| Create set delta with min and max.
int | glbMin (void) const
| Return glb minimum.
int | glbMax (void) const
| Return glb maximum.
int | lubMin (void) const
| Return lub minimum.
int | lubMax (void) const
| Return lub maximum.
bool | glbAny (void) const
| Test whether delta represents any domain change in glb.
bool | lubAny (void) const
| Test whether delta represents any domain change in lub.

## Detailed Description

Finite set delta information for advisors.

Definition at line 52 of file var-imp.hpp.

## Constructor & Destructor Documentation

## SetDelta() [1/2]

Gecode::Set::SetDelta::SetDelta | ( | void |  | ) |

inline

Create set delta as providing no information (if any is true).

Definition at line 39 of file delta.hpp.

## SetDelta() [2/2]

Gecode::Set::SetDelta::SetDelta | ( | int | glbMin,
|  | int | glbMax,
|  | int | lubMin,
|  | int | lubMax )

inline

Create set delta with min and max.

Definition at line 42 of file delta.hpp.

## Member Function Documentation

## glbMin()

int Gecode::Set::SetDelta::glbMin | ( | void |  | ) | const

inline

Return glb minimum.

Definition at line 48 of file delta.hpp.

## glbMax()

int Gecode::Set::SetDelta::glbMax | ( | void |  | ) | const

inline

Return glb maximum.

Definition at line 52 of file delta.hpp.

## lubMin()

int Gecode::Set::SetDelta::lubMin | ( | void |  | ) | const

inline

Return lub minimum.

Definition at line 56 of file delta.hpp.

## lubMax()

int Gecode::Set::SetDelta::lubMax | ( | void |  | ) | const

inline

Return lub maximum.

Definition at line 60 of file delta.hpp.

## glbAny()

bool Gecode::Set::SetDelta::glbAny | ( | void |  | ) | const

inline

Test whether delta represents any domain change in glb.

Definition at line 64 of file delta.hpp.

## lubAny()

bool Gecode::Set::SetDelta::lubAny | ( | void |  | ) | const

inline

Test whether delta represents any domain change in lub.

Definition at line 68 of file delta.hpp.

The documentation for this class was generated from the following files:

- gecode/set/var-imp.hpp
- gecode/set/var-imp/delta.hpp